using System.Collections.Generic;
using System.IO;

namespace Interfaces
{
    public interface IExportManager
    {
        List<IFileExporter> GetExporters();

        void Export(string exportType, string fileContent, string baseUrl, out Stream exportStream);

        List<ExportProviderDetails> GetExporterDetails();
    }
}
